{{ ansible_managed | comment }}
# The MariaDB configuration file
#
# The MariaDB/MySQL tools read configuration files in the following order:
# 1. "/etc/mysql/mariadb.cnf" (this file) to set global defaults,
# 2. "/etc/mysql/conf.d/*.cnf" to set global options.
# 3. "/etc/mysql/mariadb.conf.d/*.cnf" to set MariaDB-only options.
# 4. "~/.my.cnf" to set user-specific options.
#
# If the same option is defined multiple times, the last one will apply.
#
# One can use all long options that the program supports.
# Run program with --help to get a list of available options and with
# --print-defaults to see which it would actually understand and use.

#
# This group is read both both by the client and the server
# use it for options that affect everything
#
[client-server]

# Import all .cnf files from configuration directory
!includedir /etc/mysql/conf.d/
!includedir /etc/mysql/mariadb.conf.d/

[mariadb]
server-id={{ mariadb_server_id }}
log-bin
log-basename=master1
{% if mariadb_ssl == "true" %}
ssl = true
ssl_cert = {{ ssl_certificate_path }}/server-cert.pem
ssl_key = {{ ssl_certificate_path }}/server-key.pem
ssl_ca = {{ ssl_certificate_path }}/ca.pem
{% endif %}

[mysqld]
skip-networking=0
skip-bind-address
bind-address=0.0.0.0
max_allowed_packet=2000M
